#include <glib.h>

#include <libral.h>

void press_key(void)
{
  gchar key;

  g_print("\npress a key");
  scanf("%c", &key);
}

int 
main (int argc, char* argv[])
{
  RAddress* address;
  RAddress* copy;
  RAddressType tipo;
  gchar *via, *numero, *citta, *cap, *provincia, *stato, *nazione;
  
  g_type_init();
  r_lib_init();

  via = numero = citta = cap = provincia = stato = nazione = NULL;

  g_print("\nTesting the address object");
  g_print("\nbuilding a new address");
  press_key();

  address = r_address_new();

  g_print("\nsetting address's values...");
  g_object_set(address, "address-type", R_ADDRESS_HOME, 
	       "street", "xxxxxxxx", "street-number", "123", 
	       "city", "Lamezia Terme", "zip", "88046", 
	       "province", "CZ", "state", "UE", "country", "Italia", NULL);
  g_print(" ok");

  g_print("\ngetting address's values...");
  g_object_get(address, "address-type", &tipo, "street", &via, 
	       "street-number", &numero, "city", &citta, "zip", &cap, 
	       "province", &provincia, "state", &stato, 
	       "country", &nazione, NULL);
  g_print(" ok");
  
  g_print("\n\nPrint values");
  g_print("\naddress type: %s",   r_address_decode_type(tipo));
  g_print("\nstreet: %s",         via);
  g_print("\nnumber: %s",         numero);
  g_print("\ncity: %s",           citta);
  g_print("\npostal code: %s",    cap);
  g_print("\nprovince: %s",       provincia);
  g_print("\nstate: %s",          stato);
  g_print("\ncountry: %s",        nazione);

  
  g_print("\n\nCopy test");
  press_key();

  g_print("\ncopying the address...");
  copy = r_address_copy(address);
  g_print(" ok");

  g_print("\ngetting copy's values...");
  g_object_get(copy, "address-type", &tipo, "street", &via, 
	       "street-number", &numero, "city", &citta, "zip", &cap,
	       "province", &provincia,  "state", &stato, 
	       "country", &nazione, NULL); 
  g_print(" ok");
  
  g_print("\n\nPrint values");
  g_print("\naddress type: %s", r_address_decode_type(tipo));
  g_print("\nstreet: %s", via);
  g_print("\nnumber: %s", numero);
  g_print("\ncity: %s", citta);
  g_print("\npostal code: %s", cap);
  g_print("\nprovince: %s", provincia);
  g_print("\nstate: %s", stato);
  g_print("\ncountry: %s", nazione);
  
  
  g_print("\n\nfree the memory");
  g_print("\nfree the address...");
  r_address_free(address);
  g_print(" ok");

  g_print("\nfree the copy...");
  r_address_free(copy);
  g_print(" ok");

  g_print("\n\nIt works... ;-)\n\n");

  return 0;
}
