#include <glib.h>
#include <glib-object.h>

#include <libral.h>


int 
main(int argc, char* argv[])
{
  RAbook* book;
  gchar* file;
  gchar* out;
  gpointer data;

  if (argc < 3)
    {
      g_print("\nsyntax: vcard file.vcard file.rub\n");
      g_print("\nRead the vcard file and write data in rub file\n\n");
      
      return -1;
    }

  g_type_init();
  r_lib_init();
  
  book = r_abook_new();
  
  g_print("\n\nChoosing vcard plugin");
  if (r_abook_load_plugin(book, "vcard"))
    g_print("\nPlugin loaded");
  else
    g_error("\nCan't get plugin");
  
  if (argc == 1)
    {
      file = g_strdup("./rubrica.vcd");
      out  = g_strdup("./rubrica.rub");
    }
  else
    {
      file = g_strdup(argv[1]);
      out  = g_strdup(argv[2]);
    }
  
  g_object_set(book, 
	       "addressbook-name", file, 
	       "addressbook-path", ".", NULL);  
  
  /*
  r_abook_set_name(R_ABOOK(book), file);
  r_abook_set_path(R_ABOOK(book), ".");
  */
  if (r_abook_open_file(book, file))
    {
      gchar *name, *path;
      
  g_object_get(book, 
	       "addressbook-name", &name, 
	       "addressbook-path", &path, NULL);
  /*
      name = r_abook_get_name(R_ABOOK(book));
      path = r_abook_get_path(R_ABOOK(book));
  */
      g_print("\nAddressbook: %s (path: %s) successfully opened",
	      name, path);
      g_print("\nItems in addressbook: %d",
	      r_abook_get_items(R_ABOOK(book)));
      
      g_print("\n\nprint addressbook");
      data = r_abook_get_card(R_ABOOK(book));
      for (; data; data = r_abook_get_next_card(R_ABOOK(book)))
	{
	  gchar* name;
	  
	  g_object_get(R_CARD(data), "card-name", &name, NULL);
	  g_print("\nPrinting: %s", name);
	}
    }
  else
    g_error("\nFile not found");
  
  g_print("\n\nChoosing rubrica plugin");
  if (r_abook_load_plugin(book, "rubrica"))
    g_print("\nPlugin loaded");
  else
    g_error("\nCan't get plugin");
  
  
  if(!r_abook_save_file(R_ABOOK(book), out))    
    g_print("\nCan't save file");
  
  g_print("\n\nIt works... ;-)\n\n");

  return 0;
}


